﻿using BPASmartClient.Helper;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPASmartClient.Business
{
    /// <summary>
    /// 状态管理器
    /// </summary>
    public class StatusMgr : IPlugin
    {
        //运行标识
        private bool running = false;
        //设备管理
        private DeviceMgr deviceMgr;

        private Dictionary<int, Dictionary<string, object>> deviceStatus = new Dictionary<int, Dictionary<string, object>>();

        public void Initialize()
        {
            deviceMgr = Plugin.GetInstance().GetPlugin<DeviceMgr>();
            ThreadManage.GetInstance().StartLong(() =>
            {
                while (running)
                {
                    foreach (var device in deviceMgr.GetDevices())
                    {
                        deviceStatus[device.DeviceId] = device.Status.GetStatus();
                    }
                    Thread.Sleep(50);
                }
            }, "MQTT 消息处理");
        }

        public void Dispose()
        {
        }
    }
}
