﻿using BPASmartClient.Model.单片机.Enum;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPASmartClient.Model.单片机
{
    /// <summary>
    /// 驱动设备:  单片机外设
    /// 设备序列号:0x02225132
    /// 创建时间： 20220419
    /// </summary>

    /// <summary>
    /// STM32F103RCT6单片机下杯
    /// </summary>
    public class SCChip_TakeCupEvent :BaseEvent
    {
        /// <summary>
        /// 杯
        /// </summary>
        public IC_CUP Cup { get; set; }
    }

    /// <summary>
    /// STM32F103RCT6单片机舵机打料
    /// </summary>
    public class SCChip_MakeIceCreamEvent :BaseEvent
    {
        public IC_SE SteeringEngine { get; set; }
    }

    /// <summary>
    /// STM32F103RCT6单片机舵机打开或者关闭
    /// </summary>
    public class SCChip_SESwitchCreamEvent :BaseEvent
    {
        public IC_SE SteeringEngine { get; set; }
        public bool IsOpen { get; set; }
    }

    /// <summary>
    /// STM32F103RCT6单片机控制冰淇淋机器转
    /// </summary>
    public class SCChip_RotorSwitchEvent :BaseEvent
    {
        public bool TurnOn { get; set; }
    }
}
